import json

from django.shortcuts import render
import os
from django.http import HttpResponse, HttpResponseRedirect, HttpResponseForbidden
from django.contrib.auth.decorators import login_required, permission_required
from .models import MbTankRecord

# только для тестирования!
import requests

TEST_BASE_FETCH = "https://test.wawaa.ru/dev-fetch.php"


@permission_required(perm='logs_service.view_mbtankrecord', raise_exception=True)
def view_stats(request):
    # TODO: вставить использование привилегий для получения данных
    # только для тестирования!
    ext_stats = requests.get(TEST_BASE_FETCH + "?stats", headers={'Authorization': os.getenv("TEST_AUTH")})

    out = {
        'stats': {
            'tank': MbTankRecord.load_stats(),
            'pump': ext_stats.json()['stats']['pump']
        }
    }

    response = HttpResponse(json.dumps(out))
    response.headers["Content-type"] = response.headers["Content-type"]
    return response


@permission_required(perm='view_logs', raise_exception=True)
def view_tank_chart(request):
    # только для тестирования!
    days = request.GET.get('days', '7')
    res = requests.get(TEST_BASE_FETCH + "?tank_chart=" + days, headers={'Authorization': os.getenv("TEST_AUTH")})
    response = HttpResponse(res.content)
    response.headers["Content-type"] = response.headers["Content-type"]
    return response
